<?php

$trebol_cart      = get_theme_mod('trebol_cart',false);

?>

<header id="masthead" class="site-header header-center hidden-xs hidden-sm hidden-md">
    <div id="trebol-header" class="trebol-header">
        <!--Top bar-->
        <?php  do_action( 'trebol_topbar'); ?>
        <div class="header-container">           
            <div class="container">
                <div class="trebol-header-content">
                    <!--Logo-->
                    <div class="header-content-logo">
                        <?php
                            get_template_part('templates/logo');
                        ?>
                    </div>

                    <div class="header-content-center">
                        <!--Seacrch-->
                        <div class="header-content-left">                            
                            <div class="header-nav--right searchform-mini">
                                <button class="btn-mini-search"><i class="icon-magnifier icons"></i></button>
                            </div>
                        </div>

                        <!-- Menu-->
                        <div class="header-content-menu">
                            <div id="na-menu-primary" class="nav-menu clearfix">
                                <nav class="text-center na-menu-primary clearfix">
                                    <?php
                                    if (has_nav_menu('primary_navigation')) :
                                        // Main Menu
                                        wp_nav_menu( array(
                                            'theme_location' => 'primary_navigation',
                                            'menu_class'     => 'nav navbar-nav na-menu mega-menu',
                                            'container'      => '',
                                        ) );
                                    endif;
                                    ?>
                                </nav>
                            </div>
                        </div> 

                        <!--Cart-->
                        <div class="header-content-right">
                            <?php if(get_theme_mod('trebol_user',false)):?>
                                <?php if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) { ?>
                                    <div class="header-nav--right header-act">
                                        <a href="<?php echo get_permalink(get_option('woocommerce_myaccount_page_id')); ?>">
                                            <span class="hidden"><?php esc_html_e('My Account', 'trebol'); ?></span>
                                            <span class="icon-user"></span>
                                        </a>
                                    </div>
                                <?php } ?>
                            <?php endif;?>

                            <?php if($trebol_cart):?>
                                <div class="header-nav--right cart-wrap">
                                    <?php
                                    if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) { ?>
                                        <?php trebol_cartbox();?>
                                    <?php }
                                    ?>
                                </div>
                            <?php endif;?>
                        </div>

                    </div>
                </div>
            </div><!-- .container -->
        </div>
    </div>
</header><!-- .site-header -->