<?php
$share_facebook     = get_theme_mod('trebol_share_facebook',false);
$share_twitter      = get_theme_mod('trebol_share_twitter',false);
$share_google       = get_theme_mod('trebol_share_google',false);
$share_linkedin     = get_theme_mod('trebol_share_linkedin',false);
$share_pinterest    = get_theme_mod('trebol_share_pinterest',false);
?>
<?php if ($share_facebook || $share_twitter ||  $share_google ):?>
<div class="entry-footer-social clearfix">
    <div class="entry-footer-right">
        <div class="social share-links clearfix">


                <div class="count-share">
                    <span><?php echo esc_html__("Share :",'trebol');?></span>
                    <ul class="social-icons list-unstyled list-inline">
                        <?php if ($share_facebook):?>
                        <li class="social-item facebook">
                            <a href="http://www.facebook.com/sharer.php?url=<?php the_permalink(); ?>" title="<?php echo esc_attr('facebook'); ?>" class="post_share_facebook facebook" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=220,width=600');return false;">
                                <i class="ion-social-facebook icons"></i><span><?php echo esc_html('facebook'); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if ($share_twitter):?>
                        <li class="social-item twitter">
                            <a href="https://twitter.com/share?url=<?php the_permalink(); ?>" title="<?php echo esc_attr('twitter'); ?>" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=260,width=600');return false;" class="product_share_twitter twitter">
                                <i class="ion-social-twitter icons"></i><span><?php echo esc_html('twitter'); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if ($share_google):?>
                        <li class="social-item google">
                            <a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" class="googleplus" title="<?php echo esc_attr('google +'); ?>" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                                <i class="ion-social-googleplus icons"></i><span><?php echo esc_html('google +'); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if ($share_linkedin):?>
                        <li class="social-item linkedin">
                            <a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink();?>&title=<?php echo esc_attr('linkedin'); ?>&summary=<?php echo urlencode( get_the_title() ); ?>&source=<?php echo urlencode( get_the_title() ); ?>">
                                <i class="ion-social-linkedin icons"></i><span><?php echo esc_html('linkedin'); ?></span>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if ($share_pinterest):?>
                            <li class="social-item pinterest">
                                <a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&media=<?php if(function_exists('the_post_thumbnail')) echo wp_get_attachment_url(get_post_thumbnail_id()); ?>&description=<?php echo urlencode( get_the_title() ); ?>" title="<?php echo esc_attr('pinterest'); ?>" class="pinterest">
                                    <i class="ion-social-pinterest icons"></i><span><?php echo esc_html('pinterest'); ?></span>
                                </a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>

        </div>
    </div>
</div>
<?php endif; ?>
