<?php
/**
 * the file for using in trebol theme
 */
add_filter( 'soo_demo_packages', function() {
    $settings=array(
        array(
            'name'       => 'Trebo',
            'preview'    => NANO_PLUGIN_URL.'inc/importer/data/main-home.jpg',
            'content'    => NANO_PLUGIN_URL.'inc/importer/data/demo-content.xml',
            'customizer' => NANO_PLUGIN_URL.'inc/importer/data/customizer.dat',
            'widgets'    => NANO_PLUGIN_URL.'inc/importer/data/widgets.wie',
            'sliders'    => NANO_PLUGIN_URL.'inc/importer/data/sliders.zip',
            'pages'      => array(
                'front_page' => 'Home Main',
                'blog'       => 'Blog',
                'shop'       => 'Shop',
                'cart'       => 'Cart',
                'checkout'   => 'Checkout',
                'my_account' => 'My Account',
            ),
            'menus'      => array(
                'primary_navigation'    => 'primary-navigation',
                'shop_navigation'	    => '',
            ),
            'options' => array(
                'shop_catalog_image_size' => array(
                    'width' => 767,
                    'height' => 905,
                    'crop' => '767:905',
                ),
                'shop_single_image_size' => array(
                    'width' => 570,
                    'height' => 673,
                    'crop' => '570:673',
                ),
                'shop_thumbnail_image_size' => array(
                    'width' => 180,
                    'height' => 180,
                    'crop' => 1,
                ),
            ),
        ),
    );
    return $settings;
} );
?>