(function($){
    "use strict";
    function trebol_isotope($this){
        var $grid =$this.isotope({
            transitionDuration: '0.4s',
            masonry: {
                columnWidth:'.col-item'
            },
            fitWidth: true,
        });
        $grid.imagesLoaded().progress( function() {
            $grid.isotope('layout');
        });
    }
    function trebol_isotope_percentage(){
        var $grid = $('.affect-isotope-cats').isotope({
            itemSelector: '.col-item',
            percentPosition: true,
            masonry: {
                columnWidth: '.grid-sizer'
            }
        });
        $('.affect-isotope-cats.cat-1').isotope({
            layoutMode: 'fitRows'
        });

        $grid.imagesLoaded().progress( function() {
            $grid.isotope('layout');
        });
    }
    function resizeLayout($this) {
        var col              =$this.data('col');
        var w_warp_product      =$this.outerWidth();
        if(w_warp_product > 700 ) {
            var w_width   =Math.floor(w_warp_product/col);
        }
        if(w_warp_product < 699 ) {
            var w_width   =Math.floor(w_warp_product/2);
        }
        $this.find('.col-item').css({"width": (w_width-1)+"px","height":"auto"});
    }

    jQuery(document).ready(function($) {
        jQuery(".products-block").each(function(){
            resizeLayout( $(this) );
        });
        jQuery(".affect-isotope").each(function(){
            trebol_isotope( $(this) );
        });

         trebol_isotope_percentage();
        $('.lazy').lazy({
           threshold: 0
        });
    });

    jQuery(window).on( 'resize', function() {
        jQuery(".products-block").each(function(){
            resizeLayout( $(this) );
        });
        jQuery(".affect-isotope").each(function(){
            trebol_isotope( $(this) );
        });
        trebol_isotope_percentage();
    }).resize();

    jQuery(window).load(function(){
        jQuery(".products-block").each(function(){
            resizeLayout( $(this) );
        });
        jQuery(".affect-isotope").each(function(){
            trebol_isotope( $(this) );
        });
        trebol_isotope_percentage();
        $('.lazy').lazy({
           threshold: 0
        });
    });
})(jQuery);