<?php
/**
 * The template for displaying pages
 *
 * @author      NanoAgency
 * @link        http://nanoagency.co
 * @copyright   Copyright (c) 2015 NanoAgency
 * @license     GPL v2
 */
get_header();
$trebol_title     = get_post_meta(get_the_ID(), 'trebol_show_title',true);
$shopTop                   = get_theme_mod('trebol_top_shop',false);
if(isset($_GET['top-shop'])){
        $shopTop=$_GET['top-shop'];
}
$class='';
if($shopTop){
    $class='hidden';
}

$trebol_breadcrumb         = get_theme_mod('trebol_breadcrumb','');
$style_css ='';
if($trebol_breadcrumb){
    $bg_image          ="background-image:url('$trebol_breadcrumb')";
    $style_css            ='style = '.$bg_image.'';
}
?>

<?php if( ($trebol_title=== '1') || ($trebol_title=='')){?>
    <section class="wrap-breadcrumb <?php echo esc_attr($class);?>" <?php echo esc_attr($style_css);?>>
        <div class="container">
            <h1 class="page-title">
                <?php the_title(); ?>
            </h1>
            <?php trebol_woocommerce_breadcrumb(); ?>
        </div>
    </section>
<?php }?>

<div id="primary" class="content-area">
    <main id="main" class="site-main">
        <div class="container">                
            <?php
                while ( have_posts() ) : the_post();?>
                    <?php get_template_part( 'content', 'page' );
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;
                endwhile;
            ?>
        </div>
    </main>
</div>

<?php get_footer(); ?>