<?php

// ADD attributes Parallax
add_action( 'vc_after_init', 'trebol_add_parallax_param' );
function trebol_add_parallax_param() {
    $setting = array(
        'type' => 'dropdown',
        'heading' => esc_html__( 'Parallax', 'trebol' ),
        'param_name' => 'parallax',
        'value' => array(
            esc_html__( 'None', 'trebol' )      => '',
            esc_html__( 'Simple', 'trebol' )    => 'content-moving',
            esc_html__( 'Image', 'trebol' )     => 'content-moving-image',
            esc_html__( 'With fade', 'trebol' ) => 'content-moving-fade',
        ),
        'description' => esc_html__( 'Add parallax type background for row (Note: If no image is specified, parallax will use background image from Design Options).', 'trebol' ),
        'dependency' => array(
            'element' => 'video_bg',
            'is_empty' => true,
        ),
    );
    vc_add_param( 'vc_row', $setting );
}


